Create contact
curl --request POST \
--url https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/leads/{leadId}/contacts \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"full_name": "Jane Smith",
"email": "jane@example.com",
"phone_number": "+1 555 000 1234"
}
'import requests
url = "https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/leads/{leadId}/contacts"
payload = {
"full_name": "Jane Smith",
"email": "jane@example.com",
"phone_number": "+1 555 000 1234"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
full_name: 'Jane Smith',
email: 'jane@example.com',
phone_number: '+1 555 000 1234'
})
};
fetch('https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/leads/{leadId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"http_code": 201,
"status": "success",
"message": "Contact created",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"full_name": "Jane Smith"
}
}{
"http_code": 401,
"status": "failed",
"message": "Invalid or missing API key"
}{
"http_code": 403,
"status": "failed",
"message": "Insufficient scope"
}{
"http_code": 404,
"status": "failed",
"message": "Resource not found"
}{
"http_code": 409,
"status": "failed",
"message": "Contact with this email already exists for this lead"
}Contacts
Create contact
Creates a contact for the given lead. Email must be unique per lead.
POST
/
leads
/
{leadId}
/
contacts
Create contact
Authorizations
Your Flozy API key. Starts with flz_live_.
Path Parameters
Body
application/json
Response
Contact created.
⌘I